p-finally

> `Promise#finally()` ponyfill - Invoked when the promise is settled regardless of outcome

Useful for cleanup.

# Install

$ npm install --save p-finally

# Usage

const pFinally = require('p-finally');
const dir = createTempDir();
pFinally(write(dir), () => cleanup(dir));

# API

## pFinally(promise, [onFinally])

Returns a `Promise`.

### onFinally

Type: `Function`

Note: Throwing or returning a rejected promise will reject `promise` with the rejection reason.

# Related

- p-try - `Promise#try()` ponyfill - Starts a promise chain
- More…

# License

MIT © Sindre Sorhus